# DialogButtonStyle class

Configuration for the dialogs/alerts OK button style.

Annotations
  - @JsonSerializable(includeIfNull: false, createFactory: false, createToJson: true, explicitToJson: true)

## Constructors

DialogButtonStyle({Font? font, Color? textColor, Color? highlightedTextColor, Color? backgroundColor, Color? highlightedBackgroundColor})

## Properties

backgroundColor ↔ Color?
  The background color of the button while not pressed.
  getter/setter pair
font ↔ Font?
  The font of the button title.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
highlightedBackgroundColor ↔ Color?
  The background color of the button while pressed.
  getter/setter pair
highlightedTextColor ↔ Color?
  The color of the buttons title while pressed.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
textColor ↔ Color?
  The color of the buttons title while not pressed.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited